Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.txw2
Class TXW

    java.lang.Object
      com.sun.xml.txw2.TXW

    public abstract class TXW

extends java.lang.Object

Entry point to TXW.

Author:
  Kohsuke Kawaguchi

Method Summary
`static
`<T extends TypedXmlWriter> T`
` | `create(java.lang.Class<T> rootElement, XmlSerializer out)` Creates a new `TypedXmlWriter` to write a new instance of a document.
`static
`<T extends TypedXmlWriter> T`
` | `create(javax.xml.namespace.QName tagName, java.lang.Class<T> rootElement, XmlSerializer out)` Creates a new `TypedXmlWriter` to write a new instance of a document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static <T extends TypedXmlWriter> T create(java.lang.Class<T> rootElement,
                                                      XmlSerializer out)

  Creates a new `TypedXmlWriter` to write a new instance of a document.

  Parameters:
    `rootElement` - The `TypedXmlWriter` interface that declares the content model of the root element. This interface must have `XmlElement` annotation on it to designate the tag name of the root element.
    `out` - The target of the writing.

### create

    public static <T extends TypedXmlWriter> T create(javax.xml.namespace.QName tagName,
                                                      java.lang.Class<T> rootElement,
                                                      XmlSerializer out)

  Creates a new `TypedXmlWriter` to write a new instance of a document.

  Similar to the other method, but this version allows the caller to set the tag name at the run-time.

  Parameters:
    `tagName` - The tag name of the root document.
  See Also:
    `create(Class,XmlSerializer)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD